/* === Page: Galería === */

.content {
  align-items: flex-start;
  padding: 0 40px;
}

.content__header {
  gap: 20px;
  margin-top: 20px;
  align-items: flex-end;
}

.content__header div {
  width: 100%;
  text-wrap: pretty;
}

.decor--corner-bottom {
  width: 300px;
  height: 200px;
  position: fixed;
  right: -30px;
  bottom: -20px;
  background-position: right bottom;
  pointer-events: none;
}

.gallery {
  width: 100%;
  min-height: 80vh;
  margin-top: 80px;
  position: relative;
  columns: 4;
  column-fill: balance;
  column-gap: 20px;
}

.gallery::before,
.gallery::after {
  content: "";
  width: 400px;
  height: 300px;
  position: absolute;
  top: -60px;
  left: -22px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: left top;
  pointer-events: none;
}

.gallery::before {
  background-image: url(../../img/decor-corner-1.png);
  z-index: -1;
}

.gallery::after {
  background-image: url(../../img/decor-corner-1-top.png);
  z-index: 1;
}

.gallery img {
  width: 100%;
  margin-bottom: 12px;
  cursor: zoom-in;
  border-radius: 12px;
}

@media (max-width: 700px) {

  .content {
    padding: 0 20px;
  }

  .gallery {
    columns: 2;
    column-gap: 12px;
  }

  .gallery img {
    margin-bottom: 12px;
  }
}

/* === Lightbox (Upload and photo view) === */

.lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  padding: 20px;
  background-color: rgba(98, 64, 64, 0.4);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  cursor: zoom-out;
}

.lightbox .card {
  max-height: 90%;
  text-align: center;
}

.lightbox .card img {
  object-fit: contain;
  height: 100%;
  max-height: 60vh;
}

.lightbox .card img.input--image__icon {
  height: auto;
}

.lightbox .card .icon--delete {
  width: 20px;
  height: 20px;
  position: absolute;
  bottom: 20px;
  left: 20px;
  cursor: pointer;
}